org.apache.mina.transport.serial

## Enum SerialAddress.Parity

- java.lang.Object
- - java.lang.Enum<SerialAddress.Parity>
  - - org.apache.mina.transport.serial.SerialAddress.Parity

- All Implemented Interfaces:
    Serializable, Comparable<SerialAddress.Parity>
  Enclosing class:
    SerialAddress

      public static enum SerialAddress.Parity
      extends Enum<SerialAddress.Parity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVEN`
    `MARK`
    `NONE`
    `ODD`
    `SPACE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SerialAddress.Parity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SerialAddress.Parity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SerialAddress.Parity NONE

    - #### ODD

          public static final SerialAddress.Parity ODD

    - #### EVEN

          public static final SerialAddress.Parity EVEN

    - #### MARK

          public static final SerialAddress.Parity MARK

    - #### SPACE

          public static final SerialAddress.Parity SPACE

  - ### Method Detail

    - #### values

          public static SerialAddress.Parity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SerialAddress.Parity c : SerialAddress.Parity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SerialAddress.Parity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.